---

 25-power4-akpm/drivers/block/carmel.c      |    3 ++-
 25-power4-akpm/drivers/scsi/sata_promise.c |    2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/scsi/sata_promise.c~jgarzik-warnings drivers/scsi/sata_promise.c
--- 25-power4/drivers/scsi/sata_promise.c~jgarzik-warnings	2004-03-21 23:41:51.851287312 -0800
+++ 25-power4-akpm/drivers/scsi/sata_promise.c	2004-03-21 23:41:51.855286704 -0800
@@ -1241,7 +1241,7 @@ static void pdc20621_put_to_dimm(struct 
 	readl(mmio + PDC_DIMM_WINDOW_CTLR);
 	offset -= (idx * window_size); 
 	idx++;
-	dist = ((long) (window_size - (offset + size))) >= 0 ? size : 
+	dist = ((s32)(window_size - (offset + size))) >= 0 ? size :
 		(long) (window_size - offset);
 	memcpy_toio((char *) (dimm_mmio + offset / 4), (char *) psource, dist);
 	writel(0x01, mmio + PDC_GENERAL_CTLR);
diff -puN drivers/block/carmel.c~jgarzik-warnings drivers/block/carmel.c
--- 25-power4/drivers/block/carmel.c~jgarzik-warnings	2004-03-21 23:41:51.853287008 -0800
+++ 25-power4-akpm/drivers/block/carmel.c	2004-03-21 23:42:10.118510272 -0800
@@ -994,7 +994,8 @@ static void carm_handle_array_info(struc
 	}
 
 	printk(KERN_INFO DRV_NAME "(%s): port %u device %Lu sectors\n",
-	       pci_name(host->pdev), port->port_no, port->capacity);
+	       pci_name(host->pdev), port->port_no,
+	       (unsigned long long)port->capacity);
 	printk(KERN_INFO DRV_NAME "(%s): port %u device \"%s\"\n",
 	       pci_name(host->pdev), port->port_no, port->name);
 

_
